Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: hubu13Sony a7 III absent dans la librairie (résolu)
#1
Je désire acquérir un sony a7 III mais dans la chambre noir je n'ai pas le A7 III mais seulement le A7 II.

J'ai mis à jour les paquets, je suis sous linux ubuntu 18.04.3 et darktable 2.6.2 et j'ai vérifié je suis bien sur le dernier lensfun 0.3.2.

Pour l'objectif j'ai un tamron 28-75 f2.8 DI RXD III donc je comprends qu'il ne soit pas dans la liste...

Votre aide serait précieuse

Je vous remercie

Hub
Répondre
#2
(30-11-19, 08:06)hubu13 a écrit : Je désire acquérir un sony a7 III mais dans la chambre noir je n'ai pas le A7 III mais seulement le A7 II.

J'ai mis à jour les paquets, je suis sous linux ubuntu 18.04.3 et darktable 2.6.2 et j'ai vérifié je suis bien sur le dernier lensfun 0.3.2.

Pour l'objectif j'ai un tamron 28-75 f2.8 DI RXD III donc je comprends qu'il ne soit pas dans la liste...

Votre aide serait précieuse

Je vous remercie

Hub

Tu vois ou l'Alpha 7II alors que tu utilises un 7III, je suppose que c'est dans la correction d'objectif ?
Comme plusieurs fois évoqué, la correction est basée sur LensFun qui ne dépend pas du développement de darktable.
C'est pas parce que tu as la dernière version de la base de données de LensFun, il faut la mettre à jour : sudo g-lensfun-update-data
Je viens de regarder la base de données des APN de darktable et l'Alpha 7III est déjà géré dans la version 2.6.2. J'ai regardé dans celle LensFun à jour :
l'Alpha 7III n'y est pas défini, il faudrait une entrée pour cet APN ;
il y a un Tamron SP AF 28-75mm f/2.8 XR Di
Répondre
#3
Salut!
Effectivement, l'absense du Sony A7 III dans ta liste est certainement liée à ta base de données Lensfun non mise à jour, cette commande devrait régler ton problème:
Code :
sudo lensfun-update-data

Par contre, l'objectif Tamron 28-75 RXD III en monture FE ne sera toujours pas présent dans la liste des objectifs car il n'a pas encore été intégré dans la base de données de correction. Si c'est l'objectif que tu possèdes et que tu as un peu de temps à consacrer, tu peux éventuellement contribuer en fournissant les données de calibration en suivant les guides présents ici: 

https://wilson.bronger.org/calibration#instructions

Bon courage!
Répondre
#4
Je vous remercie pour vos réponses

Malheureusement j'avais essayer mais dans le terminal il me dit "commande introuvable"... que ca soit cette commande "sudo lensfun-update-data" ou celle là "sudo g-lensfun-update-data"

J'ai vérifié dans les paquets j'ai la version v1-0.3.2.4 la source lp_ppa_pmjdebruijn_darktable_release-bionic-main

Merci pour votre aide

Bonne journée

Mon cœur balance entre le fuji xt3 + 16-80 f4 ois et le sony a7 III + tamron 28-75 f2.8 RXD Di III !!
Répondre
#5
(05-12-19, 07:58)hubu13 a écrit : Je vous remercie pour vos réponses

Malheureusement j'avais essayer mais dans le terminal il me dit "commande introuvable"... que ca soit cette commande "sudo lensfun-update-data" ou celle là "sudo g-lensfun-update-data"

J'ai vérifié dans les paquets j'ai la version v1-0.3.2.4 la source lp_ppa_pmjdebruijn_darktable_release-bionic-main

Merci pour votre aide

Bonne journée

Mon cœur balance entre le fuji xt3 + 16-80 f4 ois et le sony a7 III + tamron 28-75 f2.8 RXD Di III !!

En installant le paquet liblensfun et en réitérant la commande donnée plus haut, cela devrait être réglé :
Code :
sudo apt install liblensfun-data
Répondre
#6
(05-12-19, 08:15)lilbenny972 a écrit :
(05-12-19, 07:58)hubu13 a écrit : Je vous remercie pour vos réponses

Malheureusement j'avais essayer mais dans le terminal il me dit "commande introuvable"... que ca soit cette commande "sudo lensfun-update-data" ou celle là "sudo g-lensfun-update-data"

J'ai vérifié dans les paquets j'ai la version v1-0.3.2.4 la source lp_ppa_pmjdebruijn_darktable_release-bionic-main

Merci pour votre aide

Bonne journée

Mon cœur balance entre le fuji xt3 + 16-80 f4 ois et le sony a7 III + tamron 28-75 f2.8 RXD Di III !!

En installant le paquet liblensfun et en réitérant la commande donnée plus haut, cela devrait être réglé :
Code :
sudo apt install liblensfun-data

Merci pour votre réponse

Dans le Terminal il me dit "impossible de trouver le paquet liblensfun" Sad
Répondre
#7
Pour lensfun-update-data ou g-lensfun-update-data, il faut aller les chercher sur : https://github.com/lensfun/lensfun
Je viens de voir un truc bizarre, je viens de télécharger lensfun-master depuis cette adresse, l'Alpha 7 III est dans le fichier mil-sony.xml. J'ai donc fait sudo g-lensfun-update-data qui me répond : No newer database was found for last installed Lensfun. Et en regardant dans dans le fichier, l'Alpha 7 III n'y est pas.
Quelqu'un peut m'aider à faire remonter ce comportement aux développeurs LensFun ?
Répondre
#8
(05-12-19, 08:29)jpg54 a écrit : Pour lensfun-update-data ou g-lensfun-update-data, il faut aller les chercher sur : https://github.com/lensfun/lensfun
Je viens de voir un truc bizarre, je viens de télécharger lensfun-master depuis cette adresse, l'Alpha 7 III est dans le fichier mil-sony.xml. J'ai donc fait sudo g-lensfun-update-data qui me répond : No newer database was found for last installed Lensfun. Et en regardant dans dans le fichier, l'Alpha 7 III n'y est pas.
Quelqu'un peut m'aider à faire remonter ce comportement aux développeurs LensFun ?



Merci pour votre réponse j'ai télécharger lens master. C'est quoi la procédure à suivre pour l'installer ?

Merci
Répondre
#9
Il faut pas l'installer, il faut voir dans :
[Image: image.png]
ou tu vois que j'ai la version_1 alors que la version donnée dans lensfun-master et en version_2.
Il faudra certainement que tu adaptes à ton système.
Tu as des RAW faits avec les 2 APN et objectifs que tu veux acheter ?
Répondre
#10
(05-12-19, 09:04)jpg54 a écrit : Il faut pas l'installer, il faut voir dans :
[Image: image.png]
ou tu vois que j'ai la version_1 alors que la version donnée dans lensfun-master et en version_2.
Il faudra certainement que tu adaptes à ton système.
Tu as des RAW faits avec les 2 APN et objectifs que tu veux acheter ?

Non pas encore je vais choisir entre les deux boitiers.

J'ai aussi télécharger lensfun 0.3.95, j'avais lu dans un forum en remplaçant la librairie data ca marchait... mais rien non plus
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)